DataLineageTracing
Keywords: uk.ac.bbk.dcs.automed.dataWarehousing.dlt.DataLineageTracing class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.dataWarehousing.dlt
Class DataLineageTracing

    java.lang.Object
      uk.ac.bbk.dcs.automed.dataWarehousing.dlt.DataLineageTracing

    public class DataLineageTracing

extends java.lang.Object

Author:
  hao To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Constructor Summary
`DataLineageTracing(Schema sFrom, Schema sTo)`

Method Summary
`java.util.ArrayList` | `getDataLineageOf(java.util.ArrayList lpList)`
`java.util.ArrayList` | `getDataLineageOf(Lineage lp)`
`ASG` | `getExtentOf(java.lang.String schObj)`
`java.util.ArrayList` | `getTransformationSteps()`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataLineageTracing

    public DataLineageTracing(Schema sFrom,
                              Schema sTo)

Method Detail

### getTransformationSteps

    public java.util.ArrayList getTransformationSteps()

### getDataLineageOf

    public java.util.ArrayList getDataLineageOf(Lineage lp)
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDataLineageOf

    public java.util.ArrayList getDataLineageOf(java.util.ArrayList lpList)
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getExtentOf

    public ASG getExtentOf(java.lang.String schObj)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD